classification
Title: Let cmd.cmd.intro be unicode friendly
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, l0nwlf, phep, r.david.murray
Priority: normal Keywords:

Created on 2010-04-20 15:29 by phep, last changed 2010-07-05 15:07 by r.david.murray. This issue is now closed.

Messages (5)
msg103726 - (view) Author: Patrice Pillot (phep) Date: 2010-04-20 15:29
Since cmd.cmdloop() says:

# ...
self.stdout.write(str(self.intro)+"\n")
# ....

one cannot use unicode characters in cmd.cmd.intro, for example the copyright (©) character (u'\xa9').

TIA
msg106735 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-05-29 20:22
Since 2.7 is nearing the second beta, I’m afraid no new features can be added.

Note that classes using cmd in 3.x get Unicode arguments.
msg106736 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-05-29 20:26
Correction: beta is behind us, it’s nearly rc time.
msg109293 - (view) Author: Shashwat Anand (l0nwlf) Date: 2010-07-05 04:01
Python 2.7 is already released. This is a non-issue on py3.x. Should this issue be closed or we work on it.
msg109323 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-07-05 15:07
If someone wants to try arguing that this is a bug fix (and can provide a patch that does not change existing behavior), then we could reopen it, but as a feature request it is closed for 2.7.
History
Date User Action Args
2010-07-05 15:07:36r.david.murraysetstatus: open -> closed

components: + Library (Lib)

nosy: + r.david.murray
messages: + msg109323
resolution: out of date
stage: resolved
2010-07-05 04:01:37l0nwlfsetmessages: + msg109293
2010-05-30 00:54:51l0nwlfsetnosy: + l0nwlf
2010-05-29 20:26:45eric.araujosetmessages: + msg106736
2010-05-29 20:22:42eric.araujosetnosy: + eric.araujo
messages: + msg106735
2010-04-20 15:29:07phepcreate